| The Gaudi Framework v29r0 (ff2e7097)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Attributes | List of all members
Rndm::Flat Class Reference

Parameters for the flat random number generation within boundaries [minimum, maximum]. More...

`#include <GaudiKernel/RndmGenerators.h>`

Inheritance diagram for Rndm::Flat:
[legend]
Collaboration diagram for Rndm::Flat:
[legend]

## Public Member Functions
| Flat (double mi, double ma)
| Standard Constructor. More...
| ~Flat () override=default
| Standard Destructor. More...
double | minimum () const
| Access lower edge. More...
double | maximum () const
| Access upper edge. More...
Flat * | clone () const override
| Clone parameters. More...
Public Member Functions inherited from IRndmGen::Param
| Param (const InterfaceID &type=IID_IRndmFlat)
| Standard constructor. More...
virtual | ~Param ()=default
| Standard Destructor. More...
virtual const InterfaceID & | type () const
| Parameter's type. More...

## Static Public Member Functions
static const InterfaceID & | typeID ()
| Identifier for factory. More...

## Protected Attributes
double | m_minimum
| Lower boundary for random numbers. More...
double | m_maximum
| Upper boundary for random numbers. More...
Protected Attributes inherited from IRndmGen::Param
const InterfaceID | m_type
| Type of the generator. More...

## Detailed Description

Parameters for the flat random number generation within boundaries [minimum, maximum].

Definition at line 276 of file RndmGenerators.h.

## Constructor & Destructor Documentation

Rndm::Flat::Flat | ( | double | mi,
|  | double | ma
| ) |  |
| inline

Standard Constructor.

Definition at line 286 of file RndmGenerators.h.

286 : IRndmGen::Param( IID_IRndmFlat ), m_minimum( mi ), m_maximum( ma ) {}
Rndm::Flat::m_minimum
double m_minimum
Lower boundary for random numbers.
Definition: RndmGenerators.h:280
IRndmGen::Param
Definition: IRndmGen.h:40
Rndm::Flat::m_maximum
double m_maximum
Upper boundary for random numbers.
Definition: RndmGenerators.h:282

Rndm::Flat::~Flat | ( |  | ) |
| override default

Standard Destructor.

## Member Function Documentation

Flat* Rndm::Flat::clone | ( |  | ) | const
| inline override virtual

Clone parameters.

Implements IRndmGen::Param.

Definition at line 296 of file RndmGenerators.h.

296 { return new Flat( m_minimum, m_maximum ); }
Rndm::Flat::m_minimum
double m_minimum
Lower boundary for random numbers.
Definition: RndmGenerators.h:280
Rndm::Flat::Flat
Flat(double mi, double ma)
Standard Constructor.
Definition: RndmGenerators.h:286
Rndm::Flat::m_maximum
double m_maximum
Upper boundary for random numbers.
Definition: RndmGenerators.h:282

double Rndm::Flat::maximum | ( |  | ) | const
| inline

Access upper edge.

Definition at line 292 of file RndmGenerators.h.

292 { return m_maximum; }
Rndm::Flat::m_maximum
double m_maximum
Upper boundary for random numbers.
Definition: RndmGenerators.h:282

double Rndm::Flat::minimum | ( |  | ) | const
| inline

Access lower edge.

Definition at line 290 of file RndmGenerators.h.

290 { return m_minimum; }
Rndm::Flat::m_minimum
double m_minimum
Lower boundary for random numbers.
Definition: RndmGenerators.h:280

static const InterfaceID& Rndm::Flat::typeID | ( |  | ) |
| inline static

Identifier for factory.

Definition at line 294 of file RndmGenerators.h.

294 { return IID_IRndmFlat; }

## Member Data Documentation

double Rndm::Flat::m_maximum
| protected

Upper boundary for random numbers.

Definition at line 282 of file RndmGenerators.h.

double Rndm::Flat::m_minimum
| protected

Lower boundary for random numbers.

Definition at line 280 of file RndmGenerators.h.

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/RndmGenerators.h